Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class ResourceManagementImpl

`java.lang.Object
oracle.ovs.api.ResourceManagementImpl`

All Implemented Interfaces:
  ResourceManagement

Deprecated. replaced by `NeoResourceManagementImpl`

      public class ResourceManagementImpl

extends java.lang.Object
implements ResourceManagement

ResourceManagement Implementation

Field Summary
`protected static java.lang.String` | `ISO_POOL` Deprecated.
`protected static java.util.logging.Logger` | `log` Deprecated.
`protected static java.lang.String` | `RUNNING_POOL` Deprecated.
`protected static java.lang.String` | `SEED_POOL` Deprecated.
`protected static java.lang.String` | `SHAREDDISK` Deprecated.

Constructor Summary
`ResourceManagementImpl()` Deprecated.

Method Summary
`TemplateResource` | `ApproveTemplate(java.lang.Long templateResourceId)` Deprecated.
`VMResource` | `ApproveVMImage(java.lang.Long VMResourceId)` Deprecated.
`void` | `deleteISO(java.lang.Long isoResourceID)` Deprecated. Deletes the ISO from server pool (physically also)
`void` | `deleteSharedDisk(java.lang.Long sharedDiskResourceID)` Deprecated. Deletes the Shared Disk from server pool (physically also)
`void` | `deleteTemplate(java.lang.Long templateResourceId)` Deprecated. Deletes the template from server pool (physically also)
`void` | `deleteVMResource(java.lang.Long vmResourceId)` Deprecated. Delete the VM Image
`void` | `downloadBinary(ServerPool serverPool, oracle.ovs.biz.util.OvmUrl binaryUrl, java.lang.String localFilePath, ProxyServer proxyServer)` Deprecated. download external resource
`void` | `downloadResource(ServerPool serverPool, ResourceType resType, oracle.ovs.biz.util.OvmUrl srcUrl, ProxyServer proxyServer)` Deprecated. Download resource from an external location to a server pool.
`void` | `downloadResourceDirectory(ServerPool serverPool, ResourceType resType, oracle.ovs.biz.util.OvmUrl srcUrl, ProxyServer proxyServer)` Deprecated. Download resource from an external location to a server pool.
`void` | `extractTemplateBinary(ServerPool svr_pool, java.lang.String resourceLocation, java.lang.String fileLocation)` Deprecated. Extract the bundle to seed pool
`java.util.Map` | `freespace_validator(ServerPool svr_pool, int size)` Deprecated. validator for free disk space for all repositories.
`java.util.Map` | `freespace_validator(ServerPool svr_pool, java.lang.String vmPath, int size)` Deprecated. validator for free disk space for the repository where one vm locates
`DiscoveredISO[]` | `getAllDiscoverableISO(ServerPool svr_pool)` Deprecated.
`DiscoveredTemplate[]` | `getAllDiscoverableTemplates(ServerPool svr_pool)` Deprecated. Returns all the Oracle VM Templates, which are discovered in the shared location of the server pool, but yet not registered.
`DiscoveredVM[]` | `getAllDiscoverableVMs(ServerPool svr_pool)` Deprecated.
`VMResource[]` | `getAllImg(ServerPool svr_pool)` Deprecated.
`ISOResource[]` | `getAllISOResources(ServerPool svr_pool)` Deprecated. Returns an array of all ISO Image resource instances (and physically available) registered with the server pool.
`SharedDiskResource[]` | `getAllSharedDiskResources(ServerPool svr_pool)` Deprecated. Returns an array of all Shared Disk resource instances (and physically available) registered with the server pool.
`TemplateResource[]` | `getAllTemplateResources(ServerPool svr_pool)` Deprecated. Returns an array of all Oracle VM Templates resource instances (and physically available) registered with the server pool.
`VMResource[]` | `getAllVMResources(ServerPool svr_pool)` Deprecated. Returns all VM resources
`ISOResource` | `getISOResource(java.lang.Long isoResourceID)` Deprecated. Returns the ISO resource instance.
`ISOResource` | `getISOResourceByName(ServerPool svr_pool, java.lang.String name)` Deprecated. Returns the ISO resource instance, given the display name.
`java.lang.String` | `getOvfEnv(ServerPool svr_pool, java.lang.String vmName)` Deprecated. get ovf-env.xml content
`java.lang.String` | `getRepositoryLocation(ServerPool svr_pool)` Deprecated. Get the base location for importing resources
`java.lang.String` | `getResourceDirectory(ISOResource tr)` Deprecated.
`java.lang.String` | `getResourceDirectory(ServerPool svr_pool, ISOResource ir)` Deprecated. Get the real path of the ISOResource
`java.lang.String` | `getResourceDirectory(ServerPool svr_pool, java.lang.String TemplateName)` Deprecated.
`java.lang.String` | `getResourceDirectory(ServerPool svr_pool, TemplateResource tr)` Deprecated. Get the real path of the TemplateResource
`SharedDiskResource` | `getSharedDiskResource(java.lang.Long sharedDiskResourceID)` Deprecated. Returns the Shared Disk resource instance.
`SharedDiskResource` | `getSharedDiskResourceByName(ServerPool svr_pool, java.lang.String name)` Deprecated. Returns the Shared Disk resource instance, given the display name.
`TemplateResource` | `getTemplateResource(java.lang.Long templateResourceId)` Deprecated. Returns the template resource instance.
`TemplateResource` | `getTemplateResourceByName(ServerPool svr_pool, java.lang.String name)` Deprecated. Returns the template resource instance, given the display name.
`VMResource` | `getVMResourceByName(ServerPool svr_pool, java.lang.String name)` Deprecated. Returns the VMResource instance
`void` | `mountISO_NFS(ServerPool svr_pool, ISOResource iso, java.lang.String mountPath, java.lang.String hostname)` Deprecated.
`void` | `moveToNfsLocation(ServerPool serverPool, java.lang.String filePath, oracle.ovs.biz.util.OvmUrl nfsLocation)` Deprecated. move to nfs location
`ISOResource` | `registerISO(ServerPool svr_pool, ISOResourceConfig isoResourceConfig)` Deprecated. Registers an ISO resource (available in a shared location on the server pool).
`java.util.Map` | `registerISOPrerequisite(ServerPool svr_pool, ISOResourceConfig isoResourceConfig)` Deprecated. precheck for registerISO
`SharedDiskResource` | `registerSharedDisk(ServerPool svr_pool, SharedDiskResourceConfig sharedDiskResourceConfig)` Deprecated. Creates (physically) a new disk on the shared storage, and registers it as a sharable disk amongst the Virtual Machines on the server pool.
`TemplateResource` | `registerTemplate(ServerPool svr_pool, TemplateResourceConfig templateResourceConfig)` Deprecated. Registers a template resource (available in a shared location on the server pool).
`java.util.Map` | `registerTemplatePrerequisite(ServerPool svr_pool, TemplateResourceConfig templateResourceConfig)` Deprecated. precheck for registerTemplate
`VMResource` | `registerVM(ServerPool svr_pool, VMResourceConfig vmResourceConfig)` Deprecated.
`void` | `setOvfEnv(ServerPool svr_pool, java.lang.String vmName, java.lang.String ovfContent)` Deprecated. set ovfenv.xml
`void` | `unmountISO_NFS(ServerPool svr_pool, ISOResource iso, java.lang.String mountPath, java.lang.String hostname)` Deprecated.
`void` | `uploadTemplate(TemplateResource template, oracle.ovs.biz.util.OvmUrl tgtUrl)` Deprecated. Upload template to an external NFS location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ISO_POOL

    protected static final java.lang.String ISO_POOL

  Deprecated.
  See Also:
    Constant Field Values

### RUNNING_POOL

    protected static final java.lang.String RUNNING_POOL

  Deprecated.
  See Also:
    Constant Field Values

### SEED_POOL

    protected static final java.lang.String SEED_POOL

  Deprecated.
  See Also:
    Constant Field Values

### SHAREDDISK

    protected static final java.lang.String SHAREDDISK

  Deprecated.
  See Also:
    Constant Field Values

### log

    protected static java.util.logging.Logger log

  Deprecated.

Constructor Detail

### ResourceManagementImpl

    public ResourceManagementImpl()

  Deprecated.

Method Detail

### deleteISO

    public void deleteISO(java.lang.Long isoResourceID)
                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Deletes the ISO from server pool (physically also)
  Specified by:
    `deleteISO` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteSharedDisk

    public void deleteSharedDisk(java.lang.Long sharedDiskResourceID)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Deletes the Shared Disk from server pool (physically also)
  Specified by:
    `deleteSharedDisk` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteTemplate

    public void deleteTemplate(java.lang.Long templateResourceId)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Deletes the template from server pool (physically also)
  Specified by:
    `deleteTemplate` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteVMResource

    public void deleteVMResource(java.lang.Long vmResourceId)
                          throws oracle.ovs.biz.exception.ResourceException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Delete the VM Image
  Specified by:
    `deleteVMResource` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.ResourceException`

### getAllDiscoverableISO

    public DiscoveredISO[] getAllDiscoverableISO(ServerPool svr_pool)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Specified by:
    `getAllDiscoverableISO` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableTemplates

    public DiscoveredTemplate[] getAllDiscoverableTemplates(ServerPool svr_pool)
                                                     throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns all the Oracle VM Templates, which are discovered in the shared location of the server pool, but yet not registered.
  Specified by:
    `getAllDiscoverableTemplates` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllISOResources

    public ISOResource[] getAllISOResources(ServerPool svr_pool)
                                     throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns an array of all ISO Image resource instances (and physically available) registered with the server pool.
  Specified by:
    `getAllISOResources` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllSharedDiskResources

    public SharedDiskResource[] getAllSharedDiskResources(ServerPool svr_pool)
                                                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns an array of all Shared Disk resource instances (and physically available) registered with the server pool.
  Specified by:
    `getAllSharedDiskResources` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllTemplateResources

    public TemplateResource[] getAllTemplateResources(ServerPool svr_pool)
                                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns an array of all Oracle VM Templates resource instances (and physically available) registered with the server pool.
  Specified by:
    `getAllTemplateResources` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResource

    public ISOResource getISOResource(java.lang.Long isoResourceID)
                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns the ISO resource instance.
  Specified by:
    `getISOResource` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getISOResourceByName

    public ISOResource getISOResourceByName(ServerPool svr_pool,
                                            java.lang.String name)

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns the ISO resource instance, given the display name.
  Specified by:
    `getISOResourceByName` in interface `ResourceManagement`
  Returns:

### getSharedDiskResource

    public SharedDiskResource getSharedDiskResource(java.lang.Long sharedDiskResourceID)
                                             throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns the Shared Disk resource instance.
  Specified by:
    `getSharedDiskResource` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getSharedDiskResourceByName

    public SharedDiskResource getSharedDiskResourceByName(ServerPool svr_pool,
                                                          java.lang.String name)
                                                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns the Shared Disk resource instance, given the display name.
  Specified by:
    `getSharedDiskResourceByName` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResource

    public TemplateResource getTemplateResource(java.lang.Long templateResourceId)
                                         throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns the template resource instance.
  Specified by:
    `getTemplateResource` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getTemplateResourceByName

    public TemplateResource getTemplateResourceByName(ServerPool svr_pool,
                                                      java.lang.String name)
                                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns the template resource instance, given the display name.
  Specified by:
    `getTemplateResourceByName` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerISOPrerequisite

    public java.util.Map registerISOPrerequisite(ServerPool svr_pool,
                                                 ISOResourceConfig isoResourceConfig)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  precheck for registerISO
  Specified by:
    `registerISOPrerequisite` in interface `ResourceManagement`
  Returns:
    report
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerISO

    public ISOResource registerISO(ServerPool svr_pool,
                                   ISOResourceConfig isoResourceConfig)
                            throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Registers an ISO resource (available in a shared location on the server pool).
  Specified by:
    `registerISO` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerSharedDisk

    public SharedDiskResource registerSharedDisk(ServerPool svr_pool,
                                                 SharedDiskResourceConfig sharedDiskResourceConfig)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Creates (physically) a new disk on the shared storage, and registers it as a sharable disk amongst the Virtual Machines on the server pool.
  Specified by:
    `registerSharedDisk` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerTemplatePrerequisite

    public java.util.Map registerTemplatePrerequisite(ServerPool svr_pool,
                                                      TemplateResourceConfig templateResourceConfig)

  Deprecated.
  Description copied from interface: `ResourceManagement`
  precheck for registerTemplate
  Specified by:
    `registerTemplatePrerequisite` in interface `ResourceManagement`
  Returns:
    report

### registerTemplate

    public TemplateResource registerTemplate(ServerPool svr_pool,
                                             TemplateResourceConfig templateResourceConfig)
                                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Registers a template resource (available in a shared location on the server pool).
  Specified by:
    `registerTemplate` in interface `ResourceManagement`
  Parameters:
    `svr_pool` -
    `templateResourceConfig` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### ApproveTemplate

    public TemplateResource ApproveTemplate(java.lang.Long templateResourceId)
                                     throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Specified by:
    `ApproveTemplate` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    public java.lang.String getResourceDirectory(ServerPool svr_pool,
                                                 TemplateResource tr)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Get the real path of the TemplateResource
  Specified by:
    `getResourceDirectory` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    public java.lang.String getResourceDirectory(ServerPool svr_pool,
                                                 java.lang.String TemplateName)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    public java.lang.String getResourceDirectory(ISOResource tr)

  Deprecated.

### getRepositoryLocation

    public java.lang.String getRepositoryLocation(ServerPool svr_pool)
                                           throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Get the base location for importing resources
  Specified by:
    `getRepositoryLocation` in interface `ResourceManagement`
  Parameters:
    `svr_pool` -
  Returns:
    Best location for importing resources
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getResourceDirectory

    public java.lang.String getResourceDirectory(ServerPool svr_pool,
                                                 ISOResource ir)
                                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Get the real path of the ISOResource
  Specified by:
    `getResourceDirectory` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getAllVMResources

    public VMResource[] getAllVMResources(ServerPool svr_pool)
                                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns all VM resources
  Specified by:
    `getAllVMResources` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllImg

    public VMResource[] getAllImg(ServerPool svr_pool)
                           throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllDiscoverableVMs

    public DiscoveredVM[] getAllDiscoverableVMs(ServerPool svr_pool)
                                         throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Specified by:
    `getAllDiscoverableVMs` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### ApproveVMImage

    public VMResource ApproveVMImage(java.lang.Long VMResourceId)
                              throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Specified by:
    `ApproveVMImage` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getVMResourceByName

    public VMResource getVMResourceByName(ServerPool svr_pool,
                                          java.lang.String name)
                                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Returns the VMResource instance
  Specified by:
    `getVMResourceByName` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### registerVM

    public VMResource registerVM(ServerPool svr_pool,
                                 VMResourceConfig vmResourceConfig)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Specified by:
    `registerVM` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.ResourceException`
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### getOvfEnv

    public java.lang.String getOvfEnv(ServerPool svr_pool,
                                      java.lang.String vmName)
                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  get ovf-env.xml content
  Specified by:
    `getOvfEnv` in interface `ResourceManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### setOvfEnv

    public void setOvfEnv(ServerPool svr_pool,
                          java.lang.String vmName,
                          java.lang.String ovfContent)
                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  set ovfenv.xml
  Specified by:
    `setOvfEnv` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.agent.AgentException`
    `oracle.ovs.biz.exception.OVSException`

### freespace_validator

    public java.util.Map freespace_validator(ServerPool svr_pool,
                                             int size)
                                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  validator for free disk space for all repositories.
  Specified by:
    `freespace_validator` in interface `ResourceManagement`
  Returns:
    Map.get("result"); Map.get("info");
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### freespace_validator

    public java.util.Map freespace_validator(ServerPool svr_pool,
                                             java.lang.String vmPath,
                                             int size)
                                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  validator for free disk space for the repository where one vm locates
  Specified by:
    `freespace_validator` in interface `ResourceManagement`
  Returns:
    Map.get("result"); Map.get("info");
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### mountISO_NFS

    public void mountISO_NFS(ServerPool svr_pool,
                             ISOResource iso,
                             java.lang.String mountPath,
                             java.lang.String hostname)
                      throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Specified by:
    `mountISO_NFS` in interface `ResourceManagement`
  Parameters:
    `svr_pool` - serverPool
    `iso` - ISOResource
    `hostname` - (Default = "")
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unmountISO_NFS

    public void unmountISO_NFS(ServerPool svr_pool,
                               ISOResource iso,
                               java.lang.String mountPath,
                               java.lang.String hostname)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Specified by:
    `unmountISO_NFS` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### extractTemplateBinary

    public void extractTemplateBinary(ServerPool svr_pool,
                                      java.lang.String resourceLocation,
                                      java.lang.String fileLocation)
                               throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  Extract the bundle to seed pool
  Specified by:
    `extractTemplateBinary` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### downloadResource

    public void downloadResource(ServerPool serverPool,
                                 ResourceType resType,
                                 oracle.ovs.biz.util.OvmUrl srcUrl,
                                 ProxyServer proxyServer)
                          throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Download resource from an external location to a server pool. Resource should be a binary file rather than a folder.
  Parameters:
    `serverPool` -
    `resType` -
    `srcUrl` -
    `proxyServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### downloadResourceDirectory

    public void downloadResourceDirectory(ServerPool serverPool,
                                          ResourceType resType,
                                          oracle.ovs.biz.util.OvmUrl srcUrl,
                                          ProxyServer proxyServer)
                                   throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Download resource from an external location to a server pool. Resource should be a foler rather than a binary file.
  Parameters:
    `serverPool` -
    `resType` -
    `srcUrl` -
    `proxyServer` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### uploadTemplate

    public void uploadTemplate(TemplateResource template,
                               oracle.ovs.biz.util.OvmUrl tgtUrl)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Upload template to an external NFS location.
  Specified by:
    `uploadTemplate` in interface `ResourceManagement`
  Parameters:
    `template` -
    `tgtUrl` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### downloadBinary

    public void downloadBinary(ServerPool serverPool,
                               oracle.ovs.biz.util.OvmUrl binaryUrl,
                               java.lang.String localFilePath,
                               ProxyServer proxyServer)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  download external resource
  Specified by:
    `downloadBinary` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### moveToNfsLocation

    public void moveToNfsLocation(ServerPool serverPool,
                                  java.lang.String filePath,
                                  oracle.ovs.biz.util.OvmUrl nfsLocation)
                           throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `ResourceManagement`
  move to nfs location
  Specified by:
    `moveToNfsLocation` in interface `ResourceManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.